Search found 22743 matches

by xenopeek
Tue May 18, 2021 11:39 am
Forum: Beginner Questions
Topic: How safe is my data with only home encryption?
Replies: 2
Views: 65

Re: How safe is my data with only home encryption?

If you open your file manager it opens your home folder. "Home" is also in the left sidebar to quickly go to it. It is where you store your files. User preferences are also stored here. Usually programs are installed in the system directories, not here. That depends on the installer though...
by xenopeek
Mon May 17, 2021 6:13 am
Forum: Software & Applications
Topic: Warpinator install can't locate package
Replies: 41
Views: 502

Re: Warpinator install can't locate package

I think that article is in error. There is no warpinator package in that PPA: https://launchpad.net/~clementlefebvre/ ... /+packages

If you want Warpinator on Linux Mint 19.x you can find it in the Flatpak category in Software Manager and install it from there.
by xenopeek
Fri May 14, 2021 1:51 pm
Forum: Installation & Boot
Topic: Can not mount an encrypted hard drive after Linux Mint crashed down
Replies: 4
Views: 142

Re: Can not mount an encrypted hard drive after Linux Mint crashed down

Ah. I added code tags to terminal output of your first post to make it more readable. I thought sda3 was a regular partition that you were trying to mount but it's a LUKS+LVM partition. Don't bother trying to mount sda3. You want to mount the LVM volume vgmint-root. Assuming you've already done cryp...
by xenopeek
Fri May 14, 2021 1:18 am
Forum: Beginner Questions
Topic: Malformed entry in list file /etc/apt/sources.list.d/atom.list
Replies: 1
Views: 97

Re: Malformed entry in list file /etc/apt/sources.list.d/atom.list

Have a look in the /etc/apt/sources.list.d/atom.list file. What should be in it if you followed the installation instructions without mistakes is this single line: deb [arch=amd64] https://packagecloud.io/AtomEditor/atom/any/ any main If something else is in there, fix the file. You will have to ope...
by xenopeek
Fri May 14, 2021 1:00 am
Forum: Software & Applications
Topic: g++ : Depends g++-9 (>= 9.3.0-3~) but it is not going to be installed
Replies: 26
Views: 548

Re: g++ : Depends g++-9 (>= 9.3.0-3~) but it is not going to be installed

That's not safe to do. Do it as mentioned earlier: This should be a generic solution for users affected by this problem: apt install $(dpkg -l | egrep '(libc|locales|nscd).* 2.31-0ubuntu9.3 ' | cut -d' ' -f3 | paste -sd ' ' | sed -r 's/( |$)/=2.31-0ubuntu9.2 /g') That will downgrade all libc6 and re...
by xenopeek
Thu May 13, 2021 1:48 pm
Forum: Installation & Boot
Topic: Can not mount an encrypted hard drive after Linux Mint crashed down
Replies: 4
Views: 142

Re: Can not mount an encrypted hard drive after Linux Mint crashed down

I think the directory where you want to mount the partition needs to exist. So create a directory for sda3 somewhere and for the mapped crypt partition. Then mount those there. Like this: sudo mkdir /mnt/{sda3,crypt} sudo mount /dev/sda3 /mnt/sda3 sudo mount /dev/mapper/luks-4d6dec4f-c7e4-4a6b-bdd3-...
by xenopeek
Thu May 13, 2021 12:18 pm
Forum: Software & Applications
Topic: g++ : Depends g++-9 (>= 9.3.0-3~) but it is not going to be installed
Replies: 26
Views: 548

Re: g++ : Depends g++-9 (>= 9.3.0-3~) but it is not going to be installed

Ah, my mistake. The command I gave didn't downgrade the last package it found (locales in your case). I've fixed the command above so it's good now.
by xenopeek
Thu May 13, 2021 10:44 am
Forum: Software & Applications
Topic: Problems stemming from libc6
Replies: 2
Views: 140

Re: Problems stemming from libc6

This should be a generic solution for users affected by this problem: apt install $(dpkg -l | egrep '(libc|locales|nscd).* 2.31-0ubuntu9.3 ' | cut -d' ' -f3 | paste -sd ' ' | sed -r 's/( |$)/=2.31-0ubuntu9.2 /g') That will downgrade all libc6 and related packages installed on the system with version...
by xenopeek
Thu May 13, 2021 10:44 am
Forum: Software & Applications
Topic: g++ : Depends g++-9 (>= 9.3.0-3~) but it is not going to be installed
Replies: 26
Views: 548

Re: g++ : Depends g++-9 (>= 9.3.0-3~) but it is not going to be installed

Because your command said it would remove libc-dev-bin, that would also need to be downgraded. This should be a generic solution for users affected by this problem: apt install $(dpkg -l | egrep '(libc|locales|nscd).* 2.31-0ubuntu9.3 ' | cut -d' ' -f3 | paste -sd ' ' | sed -r 's/( |$)/=2.31-0ubuntu9...
by xenopeek
Thu May 13, 2021 8:01 am
Forum: Software & Applications
Topic: g++ : Depends g++-9 (>= 9.3.0-3~) but it is not going to be installed
Replies: 26
Views: 548

Re: g++ : Depends g++-9 (>= 9.3.0-3~) but it is not going to be installed

With thanks to Monsta, you have other 4 other libc6 packages installed (libc6:i386, libc6-dbg, libc6-dev and libc6-i386) that are built from the same source package https://packages.ubuntu.com/source/focal-updates/glibc. Most likely downgrading these all at the same time will let you downgrade witho...
by xenopeek
Thu May 13, 2021 6:37 am
Forum: Software & Applications
Topic: g++ : Depends g++-9 (>= 9.3.0-3~) but it is not going to be installed
Replies: 26
Views: 548

Re: g++ : Depends g++-9 (>= 9.3.0-3~) but it is not going to be installed

Upstream bug report: https://bugs.launchpad.net/ubuntu/+sour ... ug/1926918

They suggest apt install libc6=2.31-0ubuntu9.2 is the solution. Try it with --simulate first as noted above.
by xenopeek
Thu May 13, 2021 6:30 am
Forum: Software & Applications
Topic: Problems stemming from libc6
Replies: 2
Views: 140

Re: Problems stemming from libc6

Problem is caused by Ubuntu. Please follow this topic from here to hopefully get to a solution: viewtopic.php?p=2015035#p2015035
by xenopeek
Thu May 13, 2021 6:24 am
Forum: Software & Applications
Topic: g++ : Depends g++-9 (>= 9.3.0-3~) but it is not going to be installed
Replies: 26
Views: 548

Re: g++ : Depends g++-9 (>= 9.3.0-3~) but it is not going to be installed

That's a clue. Looking further for that version 2.31-0ubuntu9.3 found that "Removed from disk on 2021-05-03": https://code.launchpad.net/ubuntu/focal/amd64/libc6 So it was shortly available on focal as an upgrade but was removed by Ubuntu because it crashed (snapped?) Snap packages. That's...
by xenopeek
Thu May 13, 2021 4:57 am
Forum: Software & Applications
Topic: g++ : Depends g++-9 (>= 9.3.0-3~) but it is not going to be installed
Replies: 26
Views: 548

Re: g++ : Depends g++-9 (>= 9.3.0-3~) but it is not going to be installed

<admin note: 2 topics about the same thing merged> Can you try with this command what it would do when you downgrade libc6 to the version from the official repos? This will simulate what it would do, not actually do anything yet. apt install --simulate libc6=2.31-0ubuntu9.2 If it says it will ONLY d...
by xenopeek
Wed May 12, 2021 5:15 am
Forum: Beginner Questions
Topic: greek font at terminal
Replies: 1
Views: 100

Re: greek font at terminal

That looks to be a known issue: https://github.com/LukeSmithxyz/grb/issues/1 Try downloading the font there https://www.sbl-site.org/Fonts/SBL_BLit.ttf (right-click, save link as). After downloading double-click the font file in your file manager to open the font viewer. Here you will find an instal...
by xenopeek
Tue May 11, 2021 2:39 pm
Forum: Chat about Linux Mint
Topic: Forums reorganization
Replies: 32
Views: 1096

Re: Forums reorganization

adding a "Sound" category [to Hardware Support], after which "Sound, Multimedia & Codecs" can be renamed "Multimedia & Codecs". Looking at the Sounds, Multimedia & Codecs forum it looks to be almost entirely about sound issues. I think maybe we don't need a...
by xenopeek
Mon May 10, 2021 4:32 pm
Forum: Chat about Linux Mint
Topic: Forums reorganization
Replies: 32
Views: 1096

Re: Forums reorganization

Quick question. How come on the main index page the hardware forum has direct links to the subforums and the window managers entry does not? With Cinnamon, MATE and Xfce listed as subforums too many would for example make support requests that weren't about the Cinnamon desktop environment in the C...
by xenopeek
Mon May 10, 2021 1:56 pm
Forum: Chat about Linux Mint
Topic: Forums reorganization
Replies: 32
Views: 1096

Forums reorganization

Howdy folks. If you frequent these forums you will have noticed over the past two days there has been some reorganization. Below an overview of the changes done and being considered. The forums organization was showing its age with some forums having lost their purpose or having become less effectiv...
by xenopeek
Mon May 10, 2021 11:38 am
Forum: Software & Applications
Topic: [Solved] Warpinator - does not and never has worked here
Replies: 2
Views: 124

Re: Warpinator - does not and never has worked here

Warpinator can only see other computers on the same local network. Could it be you're using VPNs or the computers you have aren't on the same local network? Can you reach the other computers outside Warpinator, like with ping?
by xenopeek
Mon May 10, 2021 11:34 am
Forum: Programming & Development
Topic: Cinnamon developer documentation
Replies: 0
Views: 93

Cinnamon developer documentation

If you're interested in helping to develop Cinnamon or in writing applets / desklets / extension for Cinnamon then installing the cinnamon-doc package will be useful. This adds the Devhelp program in the Programming category of your menu and it has reference manuals for Cinnamon components and for l...